[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TSemaphoreWaitHandler

Function prototype to wait on a semaphore

## Declaration

Source position: threadh.inc line 54

`type TSemaphoreWaitHandler = procedure(`
`const sem: Pointer`
`);`

## Description

TSemaphoreWaitHandler is the function prototype to wait on an event on the semaphore (which should be posted to the semaphore with ThreadManager.SemaphorePost). It should handle a pointer as eturned by the ThreadManager.SemaphoreInit procedure. it's used by the thread manager ThreadManager.SemaphoreWait.

Documentation generated on: Feb 26 2014